mutation CreateProduct($input: ProductCreateInput!) {
	productCreate(input: $input) {
		didSucceed
		inputErrors {
			path
			message
			code
		}
		product {
			id
			name
			description
			unitPrice
			isSold
			isBought
			createdAt
		}
	}
}

mutation UpdateProduct($input: ProductPatchInput!) {
	productPatch(input: $input) {
		didSucceed
		inputErrors {
			path
			message
			code
		}
		product {
			id
			name
			description
			unitPrice
			isSold
			isBought
			modifiedAt
		}
	}
}

mutation ArchiveProduct($input: ProductArchiveInput!) {
	productArchive(input: $input) {
		didSucceed
		inputErrors {
			path
			message
			code
		}
		product {
			id
			isArchived
		}
	}
}
